Loading...
Searching...
No Matches
gx_system Namespace Reference

## Classes

class | JsonException
class | JsonExceptionEOF
class | JsonWriter
class | JsonStringWriter
class | JsonParser
class | JsonSubParser
class | JsonStringParser
class | SettingsFileHeader
class | StateFile
class | PresetTransformer
class | PresetFile
class | PresetFileGui
class | AbstractStateIO
class | AbstractPresetIO
class | PresetBanks
class | GxSettingsBase
class | Accum
struct | Measure
class | MeasureThreadsafe
class | SkinHandling
class | PathList
class | PrefixConverter
class | FileName
class | IRFileListing
class | BasicOptions
class | CmdlineOptions

## Enumerations

enum | { PRESET_FLAG_VERSIONDIFF = 1 , PRESET_FLAG_READONLY = 2 , PRESET_FLAG_INVALID = 4 }

## Functions

void | atomic_set (volatile int *p, int v)
void | atomic_set (volatile unsigned int *p, unsigned int v)
int | atomic_get (volatile int &p)
unsigned int | atomic_get (volatile unsigned int &p)
void | atomic_inc (volatile int *p)
void | atomic_inc (volatile unsigned int *p)
bool | atomic_compare_and_exchange (volatile int *p, int oldv, int newv)
template<class T>
void | atomic_set (T **p, T *v)
template<class T>
void | atomic_set_0 (T **p)
template<class T>
T * | atomic_get (T *&p)
template<class T>
bool | atomic_compare_and_exchange (T **p, T *oldv, T *newv)
void | add_time_measurement ()
void | measure_start ()
void | measure_pause ()
void | measure_cont ()
void | measure_stop ()
void | list_subdirs (PathList pl, std::vector< FileName > &dirs)
BasicOptions & | get_options ()
int | gx_system_call (const std::string &, bool devnull=false, bool escape=false)
void | strip (Glib::ustring &s)
template<class T>
std::string | to_string (const T &t)
std::string | encode_filename (const std::string &s)
std::string | decode_filename (const std::string &s)

## Variables

MeasureThreadsafe | measure

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
PRESET_FLAG_VERSIONDIFF |
PRESET_FLAG_READONLY |
PRESET_FLAG_INVALID |

Definition at line 291 of file gx_json.h.

## Function Documentation

## add_time_measurement()

void gx_system::add_time_measurement | ( |  | ) |

## atomic_compare_and_exchange() [1/2]

template<class T>

bool gx_system::atomic_compare_and_exchange | ( | T ** | p,
|  | T * | oldv,
|  | T * | newv )

inline

Definition at line 138 of file gx_system.h.

## atomic_compare_and_exchange() [2/2]

bool gx_system::atomic_compare_and_exchange | ( | volatile int * | p,
|  | int | oldv,
|  | int | newv )

inline

Definition at line 114 of file gx_system.h.

## atomic_get() [1/3]

template<class T>

T * gx_system::atomic_get | ( | T *& | p | ) |

inline

Definition at line 133 of file gx_system.h.

## atomic_get() [2/3]

int gx_system::atomic_get | ( | volatile int & | p | ) |

inline

Definition at line 98 of file gx_system.h.

Referenced by gx_system::MeasureThreadsafe::access(), gx_engine::ProcessingChainBase::get_ramp_mode(), gx_engine::ProcessingChainBase::get_ramp_value(), gx_engine::ThreadSafeChainPointer< F >::get_rt_chain(), and gx_jack::PortConnRing::is_overflow().

## atomic_get() [3/3]

unsigned int gx_system::atomic_get | ( | volatile unsigned int & | p | ) |

inline

Definition at line 102 of file gx_system.h.

## atomic_inc() [1/2]

void gx_system::atomic_inc | ( | volatile int * | p | ) |

inline

Definition at line 106 of file gx_system.h.

## atomic_inc() [2/2]

void gx_system::atomic_inc | ( | volatile unsigned int * | p | ) |

inline

Definition at line 110 of file gx_system.h.

## atomic_set() [1/3]

template<class T>

void gx_system::atomic_set | ( | T ** | p,
|  | T * | v )

inline

Definition at line 123 of file gx_system.h.

## atomic_set() [2/3]

void gx_system::atomic_set | ( | volatile int * | p,
|  | int | v )

inline

Definition at line 90 of file gx_system.h.

Referenced by gx_jack::PortConnRing::clear_overflow(), gx_engine::ThreadSafeChainPointer< F >::commit(), gx_jack::PortConnRing::set_overflow(), gx_engine::ProcessingChainBase::set_ramp_mode(), and gx_engine::ProcessingChainBase::set_ramp_value().

## atomic_set() [3/3]

void gx_system::atomic_set | ( | volatile unsigned int * | p,
|  | unsigned int | v )

inline

Definition at line 94 of file gx_system.h.

## atomic_set_0()

template<class T>

void gx_system::atomic_set_0 | ( | T ** | p | ) |

inline

Definition at line 128 of file gx_system.h.

## decode_filename()

std::string gx_system::decode_filename | ( | const std::string & | s | ) |

## encode_filename()

std::string gx_system::encode_filename | ( | const std::string & | s | ) |

## get_options()

BasicOptions & gx_system::get_options | ( |  | ) |

inline

Definition at line 558 of file gx_system.h.

## gx_system_call()

int gx_system::gx_system_call | ( | const std::string & | ,
|  | bool | devnull = false,
|  | bool | escape = false )

## list_subdirs()

void gx_system::list_subdirs | ( | PathList | pl,
|  | std::vector< FileName > & | dirs )

## measure_cont()

void gx_system::measure_cont | ( |  | ) |

inline

Definition at line 264 of file gx_system.h.

## measure_pause()

void gx_system::measure_pause | ( |  | ) |

inline

Definition at line 263 of file gx_system.h.

## measure_start()

void gx_system::measure_start | ( |  | ) |

inline

Definition at line 262 of file gx_system.h.

## measure_stop()

void gx_system::measure_stop | ( |  | ) |

inline

Definition at line 265 of file gx_system.h.

## strip()

void gx_system::strip | ( | Glib::ustring & | s | ) |

## to_string()

template<class T>

std::string gx_system::to_string | ( | const T & | t | ) |

inline

Definition at line 572 of file gx_system.h.

Referenced by gx_engine::LadspaLoader::get_ladspa_filename(), and ladspa::LadspaPluginList::make_key().

## Variable Documentation

## measure

MeasureThreadsafe gx_system::measure

extern

Referenced by measure_cont(), measure_pause(), measure_start(), and measure_stop().